# Interface methods for submodule: FFTWHalfHermitianToRealInverseFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import HalfHermitianToRealInverseFFTImageFilterProxy as _HalfHermitianToRealInverseFFTImageFilterProxy


# Interface methods for class: FFTWHalfHermitianToRealInverseFFTImageFilter
class FFTWHalfHermitianToRealInverseFFTImageFilterProxy(_HalfHermitianToRealInverseFFTImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetPlanRigor(self, value: int) -> None:
		""""""
		...

	@overload
	def SetPlanRigor(self, name: str) -> None:
		""""""
		...

	def GetPlanRigor(self) -> int:
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

